//+------------------------------------------------------------------+
//|                                                  IniFiles64K.mq4 |
//|                        Copyright  2006-2010, Solop Dmitry (Ved) |
//|                                                 dsolop@yandex.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006-2010, Solop Dmitry (Ved)"
#property link      "dsolop@yandex.ru"

///+------------------------------------------------------------------+
//|                                                     IniFiles.mqh |
//|                                             . aka KimIV |
//|                                              http://www.kimiv.ru |
//|   25.04.2006       INI-.       |
//+------------------------------------------------------------------+

#import "IniFiles64K.ex4"
  string ReadIniString(string FileName, string SectionName, string KeyName, string Default);
  bool ReadIniBool(string FileName, string SectionName, string KeyName, bool bDefault);
  double ReadIniDouble(string FileName, string SectionName, string KeyName, double dDefault);
  datetime ReadIniTime(string FileName, string SectionName, string KeyName, datetime dtDefault);
  int ReadIniInteger(string FileName, string SectionName, string KeyName, int iDefault);
  void ReadIniArrayInt(string FileName, string SectionName, string KeyName, int& aiParam[]);
  
  void WriteIniString(string FileName, string SectionName, string KeyName, string sParam);
  void WriteIniBool(string FileName, string SectionName, string KeyName, bool bParam);
  void WriteIniDouble(string FileName, string SectionName, string KeyName, double dParam);
  void WriteIniTime(string FileName, string SectionName, string KeyName, datetime dtParam);
  void WriteIniInteger(string FileName, string SectionName, string KeyName, int iParam);
  void WriteIniArrayInt(string FileName, string SectionName, string KeyName, int& aiParam[]);
#import




